:root {
    --pagination-line-height: 25px;
    --pagination-line-margin: 12px;
    
    --slide-btn-width: 130px;
    --slide-btn-height: 50px;
    --slide-btn-color: #ffffff50;
    --slide-btn-hover-text-color: #fff;
    
    --fpa-top-margin-lg: 100px;
    --fpa-bottom-margin-lg: 75px;
    
    --fpa-logo-img-height-lg: 35px;
    --fpa-logo-img-margin-lg: 30px;
    
    --about-left-side-width-lg: .45;
    --about-right-side-width-lg: .55;
    --about-column-padding: 65px;
    
    --header-size: 42px;
    
    --block-item-header-size: 16px;
    
    --video-preview-ratio: .32;
    
    --product-images-ratio-lg: calc(.58 * 0.66);
    
}

#topSlider, #groupProductSlider {
    width: calc(100% + var(--header-bottom-padding));
    margin-left: calc(-1 * var(--header-bottom-padding));
    padding-left: var(--header-bottom-padding);
    height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--slider-h-perspective) + var(--page-v-padding-lg));
    padding-bottom: var(--page-v-padding-lg);
}

#topSlider .swiper-slide .slide-link {
    display: none;
}

#topSlider .swiper-slide.swiper-slide-active .slide-link {
    display: block;
}

/*#topSlider > .swiper-container*/
.vertical-slider {
    height: 100%;
}

.swiper-pagination-bullet { border-radius: 0 !important; }

/*#topSlider > .swiper-container > .swiper-wrapper,
#topSlider > .swiper-container > .swiper-wrapper > .swiper-slide*/
.swiper-container.vertical-slider > .swiper-wrapper,
.swiper-container.vertical-slider > .swiper-wrapper > .swiper-slide {
    background-color: var(--site-color);
    height: 100%;
    /*overflow: hidden;*/
}

/*#topSlider > .swiper-pagination-vertical.swiper-pagination-bullets*/ 
#topSlider > .swiper-pagination-vertical.swiper-pagination-bullets {
    bottom: var(--page-v-padding-lg);
    top: auto;
    left: 0px;
}
.swiper-pagination-vertical.swiper-pagination-bullets {
    left: 0px;
    transform: none;
    width: 5px;
}

.swiper-pagination-vertical {
    transform: none !important;    
}

/*#topSlider > .swiper-pagination-vertical.swiper-pagination-bullets .swiper-pagination-bullet*/
.swiper-pagination-vertical.swiper-pagination-bullets .swiper-pagination-bullet {
    background-color: var(--action-color);
    height: var(--pagination-line-height);
    width: 2px;
    margin: 8px 0px 0px 0px;
    transition: .3s ease-out;
}

#topSlider > .upper-pagination,
#groupProductSlider > .upper-pagination {
    transform: rotate(-90deg) translateX(-100%);
    direction: rtl;
    z-index: 5;
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: top left;
    margin-left: -5px;
}

#topSlider > .upper-pagination .slide-title-bullet,
#groupProductSlider > .upper-pagination .slide-title-bullet {
    margin-left: var(--pagination-line-margin);
    opacity: var(--action-opacity2);
    transition: .2s ease-out;
}

#topSlider > .upper-pagination .slide-title-bullet.active,
#groupProductSlider > .upper-pagination .slide-title-bullet.active {
    opacity: 1;
    font-weight: 600;
}

#topSlider .slide-btn,
#groupProductSlider .slide-btn {
    width: var(--slide-btn-width);
    height: var(--slide-btn-height);
    line-height: calc(var(--slide-btn-height) * 1.1);
    font-size: calc(var(--slide-btn-height) * 0.8);
    background-color: var(--slide-btn-color);
    z-index: 5;
}

#topSlider .fh-btn {
    height: 100%;
    width: var(--slide-btn-width);
    position: absolute;
    top: 0;
    z-index: 60;
}

#topSlider .fh-btn.slide-next-btn { right: 0px; }
#topSlider .fh-btn.slide-prev-btn { left: 0px; }

#topSlider .slide-btn svg,
#groupProductSlider .slide-btn svg {
    transition: .3s ease-out;
    display: block;
    margin: auto;
}

#topSlider .slide-btn svg,
#topSlider .slide-btn .arrow-wrap,
#groupProductSlider .slide-btn svg,
#groupProductSlider .slide-btn .arrow-wrap {
    height: 22px;
    width: 60px;
    margin: auto;
}

#topSlider .slide-btn:hover svg,
#groupProductSlider .slide-btn:hover svg {
    stroke: var(--slide-btn-hover-text-color);
    fill: var(--slide-btn-hover-text-color);
    transition: .3s ease-out;
}

/***********************************************************/

#firstPageAbout {
    margin: 0 calc(-1 * var(--page-h-padding-lg));
    width: calc(100% + 2 * var(--page-h-padding-lg));
    padding-left: var(--page-h-padding-lg);
    padding-right: var(--page-h-padding-lg);
    background-color: var(--about-block-color);
}

#firstPageAbout {
    padding-top: var(--fpa-top-margin-lg);
    padding-bottom: var(--fpa-bottom-margin-lg);
}

#firstPageAbout h1 {
    margin: 0px 0px 85px;
    font-size: var(--header-size);
    line-height: 1.1em;
    max-width: 700px;
}

#firstPageAbout h3 {
    margin: 10px 0px;
}

#firstPageAbout .svgForward2 {
    width: 60px;
    height: 15px;
    margin-right: 10px;
}

#firstPageAbout .left-column,
#firstPageAbout .right-column {
    padding-left: 15px;
    padding-right: 15px;
}

#firstPageAbout .left-column {
    width: calc(100% * var(--about-left-side-width-lg));
    padding-right: var(--about-column-padding);
}

#firstPageAbout .right-column {
    width: calc(100% * var(--about-right-side-width-lg));
    padding-left: var(--about-column-padding);
}

#firstPageAbout .arrow-holder {
    margin-bottom: 30px;
    transition: .3s ease-out;
}

#firstPageAbout .arrow-holder:hover {
    padding-left: 20px;
}

#firstPageAbout .arrow-holder svg { float: left; }

#firstPageAbout .swiper-holder {
    margin-left: calc(-1 * var(--header-bottom-padding));
    padding-left: var(--header-bottom-padding);
}

#firstPageAbout .vertical-slider { 
    margin-bottom: 100px; 
    height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-left-side-width-lg));
    overflow: hidden;
}

#firstPageAbout .swiper-pagination-vertical { top: -6px; left: 0; }

/*#firstPageAbout .left-column .vertical-slider { height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-left-side-width-lg)); }
#firstPageAbout .right-column .vertical-slider { height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-right-side-width-lg)); }
#firstPageAbout .left-column .vertical-slider .view-more-rect { width: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-left-side-width-lg)); }
#firstPageAbout .right-column .vertical-slider .view-more-rect { width: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-right-side-width-lg)); }
*/

[class*='slide'] .view-more-rect {
    background-color: var(--about-block-color);
    width: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) * var(--about-left-side-width-lg));
    height: 100%;
    z-index: 5;
    opacity: 0;
    transition: .3s ease-out;
}

#firstPageAbout [class*='slide']:hover .view-more-rect, 
#productPreview .swiper-slide:hover .view-more-rect { opacity: var(--action-opacity); }

[class*='slide'] .view-more-rect .cross {
    height: 21%;
    width: 21%;
    /*margin: auto;*/
}
/*
[class*='slide'] .view-more-rect .cross::before {
    content: "";
    width: 1px;
    height: 100%;
    background-color: var(--action-color);
    display: inline-block;
    left: 50%;
    position: absolute;
}

[class*='slide'] .view-more-rect .cross::after {
    content: "";
    width: 100%;
    height: 1px;
    background-color: var(--action-color);
    display: inline-block;
    top: 50%;
    position: absolute;
}
*/
#firstPageAbout .video-slider .swiper-slide video { opacity: 0; }
#firstPageAbout .video-slider .swiper-slide-active video { opacity: 1; }

#firstPageAbout .text-content img.pre-text-logo {
    height: var(--fpa-logo-img-height-lg);
    margin-bottom: var(--fpa-logo-img-margin-lg);
}

#firstPageAbout .logo-container {
    padding-top: calc(var(--fpa-logo-img-height-lg) + var(--fpa-logo-img-margin-lg));
}

#firstPageAbout .text-content .text-content-container { 
    column-count: 2;
    column-gap: 25px;
}

#firstPageAbout img.partner-logo {
    height: 25px;
    margin-bottom: 20px;
    display: block;
}

#firstPageAbout .external-link:hover {
    text-decoration: none;
    opacity: var(--action-opacity);
}

/*****************************************************/

#productPreview {
    padding: 140px 0px;
}

#productPreview h1 { font-size: 48px; margin: 0; }
#productPreview h1 .stem { font-size: 54px; }

#productPreview .middle-column-height {
    height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--product-images-ratio-lg));
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    padding-right: 150px;
}

#productPreview .bottomText p:nth-last-of-type(1) {
    margin-bottom: 0;
}

#productPreview .swiper-container {
    overflow: hidden;
    padding-bottom: 35px;
}

#productPreview  .new-products-slider .swiper-wrapper,
#productPreview  .new-products-slider .swiper-slide {
    height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--product-images-ratio-lg));
}

#productPreview  .new-products-slider .swiper-slide {
    background-color: var(--site-color);
    width: 40%;
}

#productPreview  .new-products-slider .swiper-slide::after {
    content: attr(data-title);
    position: absolute;
    bottom: -35px;
    right: 0;
    text-transform: uppercase;
    font-weight: 600;
    cursor: pointer;
    padding-top: 25px;
    line-height: 10px;
    height: 35px;
}

#productPreview .new-product-navs { top: -40px; }
#productPreview .new-product-navs svg { width: 50px; }

#productPreview .new-product-prev,
#productPreview .new-product-next { transition: .2s ease-out; }

#productPreview .new-product-prev { left: 15px; }
#productPreview .new-product-next { right: 17px; }

#productPreview .new-product-prev:hover { 
    padding-right: 20px;
    left: -5px;
}
#productPreview .new-product-next:hover { 
    padding-left: 20px;
    right: -5px; 
}

#productPreview .swiper-button-disabled { opacity: var(--action-opacity2); }

#productPreview .view-more-rect {
    width: var(--rect-more-width);
    height: var(--rect-more-width);
}

/**************************************************************/

#groupProductSlider .swiper-container.vertical-slider{
    overflow: hidden;
}

#groupProductSlider .overlay {
    opacity: .03;
    width: calc(100% + 2 * var(--page-h-padding-lg));
    margin: 0 calc(-1 * var(--page-h-padding-lg));
    height: calc(100% - var(--page-v-padding-lg));
}

#groupProductSlider .swiper-container.vertical-slider > .swiper-wrapper, 
#groupProductSlider .swiper-container.vertical-slider > .swiper-wrapper > .swiper-slide {
    background-color: transparent;
}

#groupProductSlider .swiper-pagination-vertical { top: auto; bottom: var(--page-v-padding-lg); }

/****************************************************************/

#newsPreview {
    padding-top: 100px;
    padding-bottom: 115px;
}

#newsPreview h1 {
    margin-top: 0;
    margin-bottom: 0px;
    font-size: 36px;
}

#newsPreview .slider-navigation {
    padding: 70px 0px 50px;
}

#newsPreview .slider-navigation .swiper-button-disabled { opacity: var(--action-opacity2); }

#newsPreview .slider-navigation svg { width: 50px; }
#newsPreview .news-prev,
#newsPreview .news-next { position: absolute; bottom: 20px; transition: .2s ease-out; }

#newsPreview .news-prev { left: 0px; }
#newsPreview .news-next { right: 0px; }

#newsPreview .news-prev:hover { 
    padding-right: 20px;
    left: -20px;
}
#newsPreview .news-next:hover { 
    padding-left: 20px;
    right: -20px; 
}

#newsPreview .swiper-button-lock { display: inline-block; }

#newsPreview .swiper-container { 
    margin-left: -15px; 
    margin-right: -15px;
    overflow: hidden;
}

.news-preview-wrapper h3 {
    font-size: var(--block-item-header-size);
    margin: 40px 0px 10px;
}

.news-preview-image {
    height: 400px;
}

.news-preview-image .view-more-rect {
    width: 100%;
}

.news-preview-wrapper:hover .view-more-rect {
    opacity: var(--action-opacity);
}

.news-preview-wrapper .bottom-beauty-line {
    border-bottom: 1px solid;
}

.news-preview-wrapper .news-preview-text {
    line-height: 1.15em;
    height: 2.3em;
    overflow: hidden;
}

/*****************************/

.move-next-block {
    z-index: 15;
    top: calc(100% - 70px);
    left: calc(100% - var(--page-h-padding-lg) + 15px);
    transform: rotate(-90deg);
    transform-box: view-box;
    transform-origin: top left;
    width: 250px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.move-next-block .next-title-holder {
    font-size: 10px;
    line-height: 15px;
    height: 15px;
}
.move-next-block .arrow-wrapper {
    height: 15px;
}

.move-next-block .arrow-wrapper svg {
    transform: rotate(180deg) translateY(3px);
}

#topSlider .swiper-slide .absolute { pointer-events: initial; }
.photo-slider .swiper-slide .absolute { pointer-events: initial; }
#groupProductSlider .swiper-slide .absolute { pointer-events: initial; }

/*****************************/

@media (max-width: 1250px) and (min-width: 1101px) {
    :root {
        --header-size: 35px;
    }

    #firstPageAbout .text-content .text-content-container { column-count: 1; }

    #firstPageAbout .svgForward2,
    #topSlider .slide-btn svg, 
    #topSlider .slide-btn .arrow-wrap, 
    #groupProductSlider .slide-btn svg, 
    #groupProductSlider .slide-btn .arrow-wrap {
        width: 50px;
    }

    #productPreview .middle-column-height {
        padding-right: 50px;
    }
}

@media (max-width: 1100px) and (min-width: 840px) {
    :root {
        --fpa-top-margin-lg: 60px;
        --header-size: 30px;
        --about-column-padding: 35px;
    }

    .swiper-pagination-vertical.swiper-pagination-bullets { left: 20px; }

    #firstPageAbout h1 { margin: 0px 0px 30px; }
    #firstPageAbout .vertical-slider { margin-bottom: 40px; }
    #firstPageAbout .svgForward2 { width: 45px; }
    #firstPageAbout .text-content .text-content-container { column-count: 1; }
    #firstPageAbout img.partner-logo { height: 20px; }

    #productPreview { padding: 90px 0px; }
    #productPreview .middle-column-height { padding-right: 0; }
    #productPreview h1 { font-size: 36px; margin: 0; }
    #productPreview h1 .stem { font-size: 48px; }

    #newsPreview { padding-top: 30px; padding-bottom: 65px; }
    #newsPreview .slider-navigation { padding: 65px 0px 0px; }
 }

 @media (max-width: 839px) and (min-width: 701px) {
    :root {
        --fpa-top-margin-lg: 60px;
        --header-size: 30px;
        --about-column-padding: 25px;
        --fpa-logo-img-height-lg: 25px;
        --fpa-logo-img-margin-lg: 20px;

        --slide-btn-width: 100px;
        --slide-btn-height: 40px;
    }

    #topSlider .slide-btn svg, 
    #topSlider .slide-btn .arrow-wrap, 
    #groupProductSlider .slide-btn svg, 
    #groupProductSlider .slide-btn .arrow-wrap {
        height: 10px;
        width: 40px;
        margin: auto;
    }

    #topSlider .swiper-pagination { display: none; }

    #newsPreview .slider-navigation svg,
    #productPreview .new-product-navs svg {
        width: 40px;
    }

    .swiper-pagination-vertical.swiper-pagination-bullets { left: 20px; }

    #firstPageAbout h1 { margin: 0px 0px 35px; max-width: 545px; }
    #firstPageAbout .svgForward2 { width: 40px; }
    #firstPageAbout .arrow-holder { margin-bottom: 20px; font-size: .8em; }
    #firstPageAbout .text-content .text-content-container { column-count: 1; }
    #firstPageAbout .vertical-slider { margin-bottom: 50px; }

    .flex-sm { 
        display: flex;  
        flex-direction: column;
        align-items: flex-end;
    }

    #firstPageAbout img.partner-logo { margin: 0 0 35px; display: inline-block; }
    #firstPageAbout .right-column a { text-align: right;  }

    #productPreview { padding: 40px 0px; }
    #productPreview h1 { font-size: 36px; margin: 0px 15px 60px; }
    #productPreview .middle-column-height { height: auto; }
    #productPreview .bottomText { margin: 30px 0px; }

    #newsPreview { padding-top: 50px; padding-bottom: 55px; }
    #newsPreview h1 { font-size: 32px; }
    #newsPreview .slider-navigation { padding: 25px 0px 50px; }
    .news-preview-image { height: 200px; }
    .news-preview-wrapper h3 { margin: 20px 0px 10px; }
}

@media (max-width: 700px) {
    :root {
        --slide-btn-width: 50px;
        --slide-btn-height: 20px;

        --header-size: 16px;
        --fpa-top-margin-lg: 15px;
        --fpa-bottom-margin-lg: 25px;
        --video-preview-ratio: .48;
        --product-images-ratio-lg: 1;
        --block-item-header-size: 11px;
    }

    #topSlider .slide-btn svg, 
    #topSlider .slide-btn .arrow-wrap, 
    #groupProductSlider .slide-btn svg, 
    #groupProductSlider .slide-btn .arrow-wrap {
        height: 5px;
        width: 20px;
        margin: AUTO;
    }

    #firstPageAbout h1 {
        margin: 0px 0px 25px;
    }

    #firstPageAbout .left-column,
    #firstPageAbout .right-column {
        width: 100%;
        padding-right: 15px;
        padding-left: 15px;
    }

    #firstPageAbout .vertical-slider {
        margin-bottom: 10px;
        height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio));
    }

    .swiper-container.photo-slider {
        margin-left: calc(-1 * var(--page-h-padding-lg));
        margin-right: calc(-1 * var(--page-h-padding-lg));
    }

    #firstPageAbout .vertical-slider.photo-slider {
        margin-bottom: 30px;
        height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) + 60px);
    }

    .swiper-container.photo-slider .swiper-slide {
        width: calc(100% - 2 * var(--page-h-padding-lg));
    } 

    .photo-slider .navigation {
        margin-left: var(--page-h-padding-lg);
        margin-right: var(--page-h-padding-lg);
    }

    #firstPageAbout .navigation .nav-btn {
        padding: 10px 15px;
        display: inline-block;
    }

    #firstPageAbout .navigation .nav-btn.nav-btn-prev { padding-left: 0; }
    #firstPageAbout .navigation .nav-btn.nav-btn-next { padding-right: 0; }

    #firstPageAbout .navigation .svgForward2,
    #productPreview .new-product-navs svg {
        width: 20px;
        height: 5px;
        margin: 0 0 0 0;
    }

    #productPreview .new-product-navs svg {
        width: 20px;
        height: 5px;
    }

    #firstPageAbout .text-content .text-content-container { column-count: 1; }

    #firstPageAbout img.partner-logo {
        margin: 0px auto 20px;
        display: block;
        max-height: 20px;
    }

    #firstPageAbout .logo-container { padding-top: 30px;  }

    #firstPageAbout .text-content img.pre-text-logo { display: none  }

    #productPreview { padding: 25px 0px; }
    #productPreview h1 {
        font-size: 18px;
        margin: 0px 15px 45px;
    }
    #productPreview h1 .stem { font-size: 32px; }
    #productPreview .new-product-navs { top: -30px; }

    #productPreview .new-products-slider .swiper-slide { width: 70%; }

    #productPreview .bottomText {
        width: calc(100vw - 2 * var(--page-h-padding-lg));
        margin-top: 20px;
    }

    #productPreview .swiper-container { padding-bottom: 20px; }

    #productPreview .new-products-slider .swiper-slide::after {
        right: auto;
        bottom: -20px;
        left: 0;
    }

    #productPreview .middle-column-height { height: auto; }

    #groupProductSlider, #catalogPreview { display: none;  }

    #newsPreview {
        padding: 30px var(--page-h-padding-lg) 45px;
        background-color: var(--about-block-color);
        margin: 0 calc(-1 * var(--page-h-padding-lg));
    }

    #newsPreview h1 { font-size: var(--header-size); margin-bottom: 25px; }

    #newsPreview .slider-navigation { display: none; }

    .news-preview-image { height: 250px; }

    .news-preview-wrapper h3 {
        margin: 20px 0px 10px;
    }

    #newsPreview .vertical-slider {
        height: calc((100vw - 2 * var(--page-h-padding-lg)) * var(--video-preview-ratio) + 60px);
    }

    #newsPreview .swiper-container .swiper-slide {
        width: calc(100% - 2 * var(--page-h-padding-lg));
        padding:  0;
    } 

    #newsPreview .bottom-beauty-line .font16 { font-size: 10px  }


}

@media only screen and (min-width : 300px) and (max-width: 800px) and (orientation : landscape) {

    #topSlider > .upper-pagination, 
    #groupProductSlider > .upper-pagination { display: none; }
    #firstPageAbout .vertical-slider .navigation { display: none; }
    #firstPageAbout .svgForward2 { width: 30px; }

    #firstPageAbout .right-column a .hidexs {display: none}

    .menu-to-open.menu-closed .flex.all-to-bottom.space-between {display: none;}

    #productPreview h1 { margin: 0px 0px 15px; }

    #productPreview .bottomText { margin: 0px 0px; }

    #groupProductSlider .swiper-pagination { display: none; }
    
}